local COLOR_NORMAL  = "|r";

local COLOR_WARNING = "|cFFFF3333";
local COLOR_NOTICE  = "|cFFFFFF66";
local COLOR_TITLE   = "|cFFFF3333";
local COLOR_COMMAND = "|cFFFFFF66";

local MSG_TITLE     = COLOR_TITLE .. "Needja Tracker" .. COLOR_NORMAL;

NT_LOCALE = {
    ["CHAT_MATCH"] = {
        ["RESULT_WIN"]      = "Результат броска (.+) %(\"(.+)\"%) за предмет (.+): (.+)%.",
        ["RESULT_DISCARD"]  = "(.+): предмет никому не нужен.",
        ["ROLL_YOU"]        = "Разыгрывается: (.+)%. Вы сказали: \"(.+)\"%.",
        ["ROLL_PARTY"]      = "Разыгрывается: (.+)%. (.+): \"(.+)\"%.",
        ["DISCARD_YOU"]     = "Вы отказались от предмета: (.+)",
        ["DISCARD_PARTY"]   = "(.+) отказывается от предмета (.+)%.",
        ["WIN_YOU"]         = "Вы выиграли: (.+)",
        ["WIN_PARTY"]       = "(.+) выигрывает: (.+)",
    },
    ["NEED_MATCH"] = {
        ["Нужно"]           = "Need",
        ["Мне это нужно"]   = "Need",
        ["Не откажусь"]     = "Greed",
        ["Распылить"]       = "Disenchant",
    },
    ["NEED"] = {
        ["Need"]            = "Need",
        ["Greed"]           = "Greed",
        ["Disenchant"]      = "Disenchant",
        ["Unknown"]         = "Unknown",
    },
    ["MESSAGES"] = {
        ["ROLL_NEED"]       = "%s: " .. COLOR_WARNING .. "%s say %s"        .. COLOR_NORMAL,
        ["WIN_YOU"]         = "%s: " .. COLOR_NOTICE  .. "You win (%s: %s)" .. COLOR_NORMAL,
        ["WIN_PARTY"]       = "%s: " .. COLOR_NOTICE  .. "%s win (%s: %s)"  .. COLOR_NORMAL,
        ["WIN_NEED"]        = "%s: " .. COLOR_WARNING .. "%s win (%s: %s)"  .. COLOR_NORMAL,

        ["HISTORY_HEADER"]  = MSG_TITLE .. " - Roll history:",
        ["HISTORY_EMPTY"]   = MSG_TITLE .. " - Roll history is empty",

        ["HISTORY_DISCARD"] = "  %s. %s: " .. COLOR_NOTICE  .. "-- (Discard)" .. COLOR_NORMAL,
        ["HISTORY_WIN"]     = "  %s. %s: " .. COLOR_NOTICE  .. "%s (%s: %s)"    .. COLOR_NORMAL,
        ["HISTORY_NEED"]    = "  %s. %s: " .. COLOR_WARNING .. "%s (%s: %s)"    .. COLOR_NORMAL,

        ["HELP_LINE_1"]     = MSG_TITLE .. " - Command list (" .. COLOR_COMMAND .. "/nt" .. COLOR_NORMAL .. " command):",

        ["HELP_LINE_2"]     = "  " .. COLOR_COMMAND .. "report"  .. COLOR_NORMAL .. " (" .. COLOR_COMMAND .. "party" .. COLOR_NORMAL .. "/" .. COLOR_COMMAND .. "raid" .. COLOR_NORMAL .. ") - roll statistics",
        ["HELP_LINE_3"]     = "  " .. COLOR_COMMAND .. "history" .. COLOR_NORMAL .. " (" .. COLOR_COMMAND .. "party" .. COLOR_NORMAL .. "/" .. COLOR_COMMAND .. "raid" .. COLOR_NORMAL .. ") - roll history",
        ["HELP_LINE_4"]     = "  " .. COLOR_COMMAND .. "clear"   .. COLOR_NORMAL .. " - clear statistics",
    },
}
